=== debian/control ===
Source: intel-opencl-clang
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper (>= 11),
 clang-8 (>= 1:8-1ubuntu1~),
 cmake,
 git,
 libclang-8-dev (>= 1:8-1ubuntu1~),
 libllvmspirvlib-dev (>= 8.0.0+git20190314),
 llvm-8-dev (>= 1:8-1ubuntu1~),
Standards-Version: 4.3.0
Homepage: https://github.com/intel/opencl-clang
Vcs-Browser: https://salsa.debian.org/opencl-team/intel-opencl-clang
Vcs-Git: https://salsa.debian.org/opencl-team/intel-opencl-clang.git

Package: libopencl-clang8
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: thin wrapper for clang
 Opencl-clang is a thin wrapper library around clang. It has an
 OpenCL-oriented API and is capable of compiling OpenCL C kernels
 to SPIR-V modules.

Package: libopencl-clang-dev
Architecture: all
Depends: ${misc:Depends},
 libopencl-clang8 (>= ${source:Version}),
 libopencl-clang8 (<< ${source:Upstream-Version}+1~)
Description: thin wrapper for clang -- development files
 Opencl-clang is a thin wrapper library around clang. It has an
 OpenCL-oriented API and is capable of compiling OpenCL C kernels
 to SPIR-V modules.
 .
 This package includes files needed for development.
