## intel-opencl-clang 9.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     add_definitions(-DUSE_PREBUILT_LLVM)
 
     if(NOT PREFERRED_LLVM_VERSION)
-        set(PREFERRED_LLVM_VERSION "8.0.0")
+        set(PREFERRED_LLVM_VERSION "9.0.0")
     endif(NOT PREFERRED_LLVM_VERSION)
     message(STATUS "Looking for LLVM version ${PREFERRED_LLVM_VERSION}")
     find_package(LLVM ${PREFERRED_LLVM_VERSION} REQUIRED)
@@ -74,17 +74,53 @@
 
 # set that name of the main output file as a target name
 if (NOT DEFINED COMMON_CLANG_LIBRARY_NAME)
-    set(COMMON_CLANG_LIBRARY_NAME common_clang)
+    set(COMMON_CLANG_LIBRARY_NAME "opencl-clang")
 endif()
 set(TARGET_NAME ${COMMON_CLANG_LIBRARY_NAME}${BUILD_PLATFORM} )
 
 if(NOT USE_PREBUILT_LLVM)
-    set(TARGET_BRANCH "ocl-open-80")
-    set(CLANG_SOURCE_DIR ${LLVM_SOURCE_DIR}/tools/clang)
-    set(CLANG_BASE_REVISION a03da8be08a208122e292016cb6cea1f30229677)
-
-    set(SPIRV_SOURCE_DIR ${LLVM_SOURCE_DIR}/projects/llvm-spirv)
-    set(SPIRV_BASE_REVISION 049776f815b12525dcd7a0869e0ee68a70d01b92)
+
+    if(NOT LLVM_EXTERNAL_CLANG_SOURCE_DIR)
+        set(CLANG_SOURCE_DIR ${LLVM_SOURCE_DIR}/tools/clang)
+    elseif(EXISTS "${LLVM_EXTERNAL_CLANG_SOURCE_DIR}/CMakeLists.txt")
+        set(CLANG_SOURCE_DIR "${LLVM_EXTERNAL_CLANG_SOURCE_DIR}")
+    endif()
+    if(EXISTS ${CLANG_SOURCE_DIR})
+        message(STATUS "Using Clang source code direcotry: ${CLANG_SOURCE_DIR}")
+    else()
+        message(FATAL_ERROR
+            "Can't find Clang source code directory!\n"
+            "If you are using LLVM monorepo:\n"
+            "  1. Clean CMake cache: `rm CMakeCache.txt`\n"
+            "  2. Enable Clang project with `-DLLVM_ENABLE_PROJECTS=\"clang\"` option\n"
+            "If Clang is used as a separate repository (not monorepo), it should "
+            "be checked out at `llvm/tools/clang`."
+        )
+    endif()
+
+    if(NOT LLVM_EXTERNAL_LLVM_SPIRV_SOURCE_DIR)
+        set(SPIRV_SOURCE_DIR ${LLVM_SOURCE_DIR}/projects/llvm-spirv)
+    elseif(EXISTS "${LLVM_EXTERNAL_LLVM_SPIRV_SOURCE_DIR}/CMakeLists.txt")
+        set(SPIRV_SOURCE_DIR ${LLVM_EXTERNAL_LLVM_SPIRV_SOURCE_DIR})
+    endif()
+    if(EXISTS ${SPIRV_SOURCE_DIR})
+        message(STATUS "Using SPIRV-LLVM-Translator source code directory: ${SPIRV_SOURCE_DIR}")
+    else()
+        message(FATAL_ERROR
+            "Can't find SPIRV-LLVM-Translator source code dir!\n"
+            "If you are using LLVM monorepo, SPIRV-LLVM-Translator should be checked out "
+            "at '<monorepo_root_dir>/llvm-spirv' and it should be enabled as an external LLVM "
+            "project using the following 2 options:\n"
+            "  -DLLVM_EXTERNAL_PROJECTS=\"opencl-clang;llvm-spirv\"\n"
+            "  -DLLVM_EXTERNAL_LLVM_SPIRV_SOURCE_DIR=\"<monorepo_root_dir>/llvm-spirv\"\n"
+            "If you are not using LLVM monorepo, SPIRV-LLVM-Translator should be checked "
+            "out at `llvm/projects/llvm-spirv`"
+        )
+    endif()
+
+    set(CLANG_BASE_REVISION master)
+    set(SPIRV_BASE_REVISION master)
+    set(TARGET_BRANCH "ocl-open-90")
 
     apply_patches(${CLANG_SOURCE_DIR}
                   ${CMAKE_CURRENT_SOURCE_DIR}/patches/clang
@@ -143,9 +179,6 @@
 add_definitions( -D__STDC_LIMIT_MACROS )
 add_definitions( -D__STDC_CONSTANT_MACROS )
 add_definitions( -DCOMMON_CLANG_EXPORTS )
-if (NOT WIN32)
-    add_definitions( -DLIBCOMMON_CLANG_NAME="lib${COMMON_CLANG_LIBRARY_NAME}.so")
-endif()
 
 #
 # Include directories
@@ -153,11 +186,10 @@
 
 if(NOT USE_PREBUILT_LLVM)
     set(CLANG_BINARY_DIR ${LLVM_BINARY_DIR}/tools/clang/)
-    set(CLANG_SOURCE_DIR ${LLVM_MAIN_SRC_DIR}/tools/clang/)
     include_directories(
-        ${CLANG_BINARY_DIR}/include # for tablegened includes
-        ${CLANG_SOURCE_DIR}/include # for basic headers
-        ${SPIRV_SOURCE_DIR}/include)
+        ${CLANG_BINARY_DIR}/include  # for tablegened includes
+        ${CLANG_SOURCE_DIR}/include  # for basic headers
+        ${SPIRV_SOURCE_DIR}/include) # for SPIRV headers
 endif(NOT USE_PREBUILT_LLVM)
 
 if(USE_PREBUILT_LLVM AND NOT LLVMSPIRV_INCLUDED_IN_LLVM)
@@ -262,9 +294,18 @@
             "RC_PRODUCT_NAME=\"${RC_PRODUCT_NAME}\""
             "RC_PRODUCT_VERSION=\"${RC_FILE_VERSION}\""
             "RC_COPYRIGHT=\"Copyright ${RC_CHAR_C} 2018 Intel Corporation. All rights reserved.\"")
+
+    # Enable compiler generation of Control Flow Guard security checks.
+    target_compile_options(${TARGET_NAME} PUBLIC "/guard:cf")
+    set_property(TARGET ${TARGET_NAME} APPEND_STRING PROPERTY
+        LINK_FLAGS "/DYNAMICBASE /GUARD:CF")
+
 elseif(UNIX)
     set_property(TARGET ${TARGET_NAME} APPEND_STRING PROPERTY
-                      LINK_FLAGS " -Wl,--no-undefined")
+        COMPILE_DEFINITIONS LIBCOMMON_CLANG_NAME="$<TARGET_SONAME_FILE_NAME:${TARGET_NAME}>")
+
+    set_property(TARGET ${TARGET_NAME} APPEND_STRING PROPERTY
+        LINK_FLAGS " -Wl,--no-undefined")
 endif(WIN32)
 
 install(FILES common_clang.h
