=== debian/changelog ===
intel-opencl-clang (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with llvm9.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Sep 2019 15:08:42 +0300

intel-opencl-clang (8.0.1-1) unstable; urgency=medium

  * New upstream release.
  * dlopen-soname.diff: Dropped, upstream.
  * control: Bump build-dep on libllvmspirvlib-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 10:19:54 +0300
