=== debian/control ===
Source: intel-opencl-clang
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper (>= 11),
 clang-9,
 cmake,
 git,
 libclang-9-dev,
 libllvmspirvlib-dev (>= 9.0.0-1~),
 lldb-9,
 llvm-9-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/intel/opencl-clang
Vcs-Browser: https://salsa.debian.org/opencl-team/intel-opencl-clang
Vcs-Git: https://salsa.debian.org/opencl-team/intel-opencl-clang.git

Package: libopencl-clang9
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: thin wrapper for clang
 Opencl-clang is a thin wrapper library around clang. It has an
 OpenCL-oriented API and is capable of compiling OpenCL C kernels
 to SPIR-V modules.

Package: libopencl-clang-dev
Architecture: all
Depends: ${misc:Depends},
 libopencl-clang9 (>= ${source:Version}),
 libopencl-clang9 (<< ${source:Upstream-Version}+1~)
Description: thin wrapper for clang -- development files
 Opencl-clang is a thin wrapper library around clang. It has an
 OpenCL-oriented API and is capable of compiling OpenCL C kernels
 to SPIR-V modules.
 .
 This package includes files needed for development.
