## intel-opencl-clang 10.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     add_definitions(-DUSE_PREBUILT_LLVM)
 
     if(NOT PREFERRED_LLVM_VERSION)
-        set(PREFERRED_LLVM_VERSION "9.0.0")
+        set(PREFERRED_LLVM_VERSION "10.0.0")
     endif(NOT PREFERRED_LLVM_VERSION)
     message(STATUS "Looking for LLVM version ${PREFERRED_LLVM_VERSION}")
     find_package(LLVM ${PREFERRED_LLVM_VERSION} REQUIRED)
@@ -32,7 +32,7 @@
       ${CMAKE_MODULE_PATH}
       ${LLVM_CMAKE_DIR})
 
-    set(CMAKE_CXX_STANDARD 11)
+    set(CMAKE_CXX_STANDARD 14)
     set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
     option(LLVMSPIRV_INCLUDED_IN_LLVM
@@ -48,12 +48,11 @@
     endif(LLVMSPIRV_INCLUDED_IN_LLVM)
 else(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
     set(USE_PREBUILT_LLVM OFF)
+    find_package(Git REQUIRED)
 endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
 
 include(AddLLVM)
 include(TableGen)
-
-find_package(Git REQUIRED)
 
 if (NOT WIN32)
     add_subdirectory( linux_linker )
