=== debian/changelog ===
intel-opencl-clang (10.0.0-2) unstable; urgency=medium

  * control: Build -dev on amd64/i386 like the lib. (Closes: #955815)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Apr 2020 21:11:04 +0300

intel-opencl-clang (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with llvm-10.
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.
  * Link-with-libclang-cpp-for-out-of-tree-build.patch: Add a patch to
    fix build with llvm-10, and add libclang-cpp10-dev to build-
    depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Apr 2020 19:01:48 +0300
