## intel-opencl-clang 11.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     add_definitions(-DUSE_PREBUILT_LLVM)
 
     if(NOT PREFERRED_LLVM_VERSION)
-        set(PREFERRED_LLVM_VERSION "10.0.0")
+        set(PREFERRED_LLVM_VERSION "11.0.0")
     endif(NOT PREFERRED_LLVM_VERSION)
     message(STATUS "Looking for LLVM version ${PREFERRED_LLVM_VERSION}")
     find_package(LLVM ${PREFERRED_LLVM_VERSION} REQUIRED)
@@ -80,9 +80,13 @@
 if(NOT USE_PREBUILT_LLVM)
 
     if(NOT LLVM_EXTERNAL_CLANG_SOURCE_DIR)
+        set(LLVM_BASE_REVISION release_11)
         set(CLANG_SOURCE_DIR ${LLVM_SOURCE_DIR}/tools/clang)
+        set(CLANG_BASE_REVISION release_11)
     elseif(EXISTS "${LLVM_EXTERNAL_CLANG_SOURCE_DIR}/CMakeLists.txt")
+        set(LLVM_BASE_REVISION release/11.x)
         set(CLANG_SOURCE_DIR "${LLVM_EXTERNAL_CLANG_SOURCE_DIR}")
+        set(CLANG_BASE_REVISION release/11.x)
     endif()
     if(EXISTS ${CLANG_SOURCE_DIR})
         message(STATUS "Using Clang source code direcotry: ${CLANG_SOURCE_DIR}")
@@ -117,18 +121,25 @@
         )
     endif()
 
-    set(CLANG_BASE_REVISION master)
-    set(SPIRV_BASE_REVISION master)
-    set(TARGET_BRANCH "ocl-open-90")
-
-    apply_patches(${CLANG_SOURCE_DIR}
-                  ${CMAKE_CURRENT_SOURCE_DIR}/patches/clang
-                  ${CLANG_BASE_REVISION}
-                  ${TARGET_BRANCH})
+
+    set(SPIRV_BASE_REVISION llvm_release_110)
+    set(TARGET_BRANCH "ocl-open-110")
+    get_filename_component(LLVM_MONOREPO_DIR ${LLVM_SOURCE_DIR} DIRECTORY)
+    set(LLVM_PATCHES_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/patches/llvm
+                          ${CMAKE_CURRENT_SOURCE_DIR}/patches/clang)
+    apply_patches(${LLVM_MONOREPO_DIR}
+                  "${LLVM_PATCHES_DIRS}"
+                  ${LLVM_BASE_REVISION}
+                  ${TARGET_BRANCH}
+                  ret)
+    if(${ret})
+        add_definitions(-DAPPLIED_LLVM_PATCHES)
+    endif()
     apply_patches(${SPIRV_SOURCE_DIR}
                   ${CMAKE_CURRENT_SOURCE_DIR}/patches/spirv
                   ${SPIRV_BASE_REVISION}
-                  ${TARGET_BRANCH})
+                  ${TARGET_BRANCH}
+                  ret)
 endif(NOT USE_PREBUILT_LLVM)
 
 #
@@ -206,27 +217,22 @@
     ${LLVM_LIBRARY_DIRS}
 )
 
-set(ADDITIONAL_LIBS ${CMAKE_DL_LIBS})
-
-if(NOT LLVMSPIRVLib IN_LIST LLVM_AVAILABLE_LIBS)
+set(OPENCL_CLANG_LINK_LIBS ${CMAKE_DL_LIBS})
+
+if(NOT LLVMSPIRVLib IN_LIST LLVM_AVAILABLE_LIBS OR (USE_PREBUILT_LLVM AND LLVM_LINK_LLVM_DYLIB))
   # SPIRV-LLVM-Translator is not included into LLVM as a component.
   # So, we need to list it here explicitly as an external library
-  list(APPEND ADDITIONAL_LIBS LLVMSPIRVLib)
+  list(APPEND OPENCL_CLANG_LINK_LIBS LLVMSPIRVLib)
 endif()
 
 add_subdirectory(cl_headers)
 
 set(LLVM_REQUIRES_EH ON)
 
-add_llvm_library(${TARGET_NAME} SHARED
-  ${TARGET_INCLUDE_FILES}
-  ${TARGET_SOURCE_FILES}
-  $<TARGET_OBJECTS:cl_headers>
-
-  DEPENDS CClangCompileOptions
-  LINK_COMPONENTS
-    all
-  LINK_LIBS
+if(USE_PREBUILT_LLVM OR CLANG_LINK_CLANG_DYLIB)
+  list(APPEND OPENCL_CLANG_LINK_LIBS clang-cpp)
+else()
+  list(APPEND OPENCL_CLANG_LINK_LIBS
 # The list of clang libraries is taken from clang makefile
 # (build/tools/clang/tools/driver/CMakeFiles/clang.dir/link.txt)
 # All duplicate libraries are there on purpose
@@ -258,7 +264,19 @@
     clangAST
     clangLex
     clangBasic
-    ${ADDITIONAL_LIBS}
+  )
+endif()
+
+add_llvm_library(${TARGET_NAME} SHARED
+  ${TARGET_INCLUDE_FILES}
+  ${TARGET_SOURCE_FILES}
+  $<TARGET_OBJECTS:cl_headers>
+
+  DEPENDS CClangCompileOptions
+  LINK_COMPONENTS
+    all
+  LINK_LIBS
+    ${OPENCL_CLANG_LINK_LIBS}
   )
 
 # Configure resource file on Windows
