=== debian/changelog ===
intel-opencl-clang (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Nov 2020 12:59:06 +0200

intel-opencl-clang (11.0~git20200922-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build with llvm-11.
  * Link-with-libclang-cpp-for-out-of-tree-build.patch: Dropped,
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Sep 2020 20:42:53 +0300
