## intel-opencl-clang 12.0.0

=== debian/changelog ===
intel-opencl-clang (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Jun 2021 12:32:32 +0300

intel-opencl-clang (12.0~git20210510-1) experimental; urgency=medium

  * New upstream snapshot.
    - build with llvm-12

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 May 2021 17:58:01 +0300
