=== debian/control ===
Source: intel-opencl-clang
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 12),
 clang-12,
 cmake,
 git,
 libclang-12-dev,
 libclang-cpp12-dev,
 libllvmspirvlib-dev (>= 12.0~),
 lldb-12,
 llvm-12-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/intel/opencl-clang
Vcs-Browser: https://salsa.debian.org/opencl-team/intel-opencl-clang
Vcs-Git: https://salsa.debian.org/opencl-team/intel-opencl-clang.git

Package: libopencl-clang12
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: thin wrapper for clang
 Opencl-clang is a thin wrapper library around clang. It has an
 OpenCL-oriented API and is capable of compiling OpenCL C kernels
 to SPIR-V modules.

Package: libopencl-clang-dev
Architecture: amd64 i386
Depends: ${misc:Depends},
 libopencl-clang12 (>= ${source:Version}),
 libopencl-clang12 (<< ${source:Upstream-Version}+1~)
Description: thin wrapper for clang -- development files
 Opencl-clang is a thin wrapper library around clang. It has an
 OpenCL-oriented API and is capable of compiling OpenCL C kernels
 to SPIR-V modules.
 .
 This package includes files needed for development.
