## intel-opencl-clang 13.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,13 +20,13 @@
     add_definitions(-DUSE_PREBUILT_LLVM)
 
     if(NOT PREFERRED_LLVM_VERSION)
-        set(PREFERRED_LLVM_VERSION "11.0.0")
+        set(PREFERRED_LLVM_VERSION "12.0.0")
     endif(NOT PREFERRED_LLVM_VERSION)
-    message(STATUS "Looking for LLVM version ${PREFERRED_LLVM_VERSION}")
+    message(STATUS "[OPENCL-CLANG] Looking for LLVM version ${PREFERRED_LLVM_VERSION}")
     find_package(LLVM ${PREFERRED_LLVM_VERSION} REQUIRED)
 
-    message(STATUS "Using LLVMConfig.cmake in: ${LLVM_DIR}")
-    message(STATUS "Found LLVM ${LLVM_PACKAGE_VERSION}")
+    message(STATUS "[OPENCL-CLANG] Using LLVMConfig.cmake in: ${LLVM_DIR}")
+    message(STATUS "[OPENCL-CLANG] Found LLVM ${LLVM_PACKAGE_VERSION}")
 
     set(CMAKE_MODULE_PATH
       ${CMAKE_MODULE_PATH}
@@ -38,12 +38,12 @@
     option(LLVMSPIRV_INCLUDED_IN_LLVM
       "Set to ON if libLLVMSPIRVLib is linked into libLLVM" ON)
     if(LLVMSPIRV_INCLUDED_IN_LLVM)
-        message(STATUS "Assuming that libLLVMSPIRVLib is linked into libLLVM")
+        message(STATUS "[OPENCL-CLANG] Assuming that libLLVMSPIRVLib is linked into libLLVM")
     else(LLVMSPIRV_INCLUDED_IN_LLVM)
         message(STATUS
-          "Assuming that libLLVMSPIRVLib is NOT linked into libLLVM")
+          "[OPENCL-CLANG] Assuming that libLLVMSPIRVLib is NOT linked into libLLVM")
         if(NOT SPIRV_TRANSLATOR_DIR)
-            message(FATAL_ERROR "SPIRV_TRANSLATOR_DIR is required")
+            message(FATAL_ERROR "[OPENCL-CLANG] SPIRV_TRANSLATOR_DIR is required")
         endif(NOT SPIRV_TRANSLATOR_DIR)
     endif(LLVMSPIRV_INCLUDED_IN_LLVM)
 else(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
@@ -80,19 +80,19 @@
 if(NOT USE_PREBUILT_LLVM)
 
     if(NOT LLVM_EXTERNAL_CLANG_SOURCE_DIR)
-        set(LLVM_BASE_REVISION release_11)
+        set(LLVM_BASE_REVISION release_13)
         set(CLANG_SOURCE_DIR ${LLVM_SOURCE_DIR}/tools/clang)
-        set(CLANG_BASE_REVISION release_11)
+        set(CLANG_BASE_REVISION release_13)
     elseif(EXISTS "${LLVM_EXTERNAL_CLANG_SOURCE_DIR}/CMakeLists.txt")
-        set(LLVM_BASE_REVISION release/11.x)
+	    set(LLVM_BASE_REVISION release/13.x)
         set(CLANG_SOURCE_DIR "${LLVM_EXTERNAL_CLANG_SOURCE_DIR}")
-        set(CLANG_BASE_REVISION release/11.x)
+        set(CLANG_BASE_REVISION release/13.x)
     endif()
     if(EXISTS ${CLANG_SOURCE_DIR})
-        message(STATUS "Using Clang source code direcotry: ${CLANG_SOURCE_DIR}")
+        message(STATUS "[OPENCL-CLANG] Using Clang source code direcotry: ${CLANG_SOURCE_DIR}")
     else()
         message(FATAL_ERROR
-            "Can't find Clang source code directory!\n"
+            "[OPENCL-CLANG] Can't find Clang source code directory!\n"
             "If you are using LLVM monorepo:\n"
             "  1. Clean CMake cache: `rm CMakeCache.txt`\n"
             "  2. Enable Clang project with `-DLLVM_ENABLE_PROJECTS=\"clang\"` option\n"
@@ -107,10 +107,10 @@
         set(SPIRV_SOURCE_DIR ${LLVM_EXTERNAL_LLVM_SPIRV_SOURCE_DIR})
     endif()
     if(EXISTS ${SPIRV_SOURCE_DIR})
-        message(STATUS "Using SPIRV-LLVM-Translator source code directory: ${SPIRV_SOURCE_DIR}")
+        message(STATUS "[OPENCL-CLANG] Using SPIRV-LLVM-Translator source code directory: ${SPIRV_SOURCE_DIR}")
     else()
         message(FATAL_ERROR
-            "Can't find SPIRV-LLVM-Translator source code dir!\n"
+            "[OPENCL-CLANG] Can't find SPIRV-LLVM-Translator source code dir!\n"
             "If you are using LLVM monorepo, SPIRV-LLVM-Translator should be checked out "
             "at '<monorepo_root_dir>/llvm-spirv' and it should be enabled as an external LLVM "
             "project using the following 2 options:\n"
@@ -120,10 +120,9 @@
             "out at `llvm/projects/llvm-spirv`"
         )
     endif()
-
-
-    set(SPIRV_BASE_REVISION llvm_release_110)
-    set(TARGET_BRANCH "ocl-open-110")
+    
+    set(SPIRV_BASE_REVISION llvm_release_130)
+    set(TARGET_BRANCH "ocl-open-130")
     get_filename_component(LLVM_MONOREPO_DIR ${LLVM_SOURCE_DIR} DIRECTORY)
     set(LLVM_PATCHES_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/patches/llvm
                           ${CMAKE_CURRENT_SOURCE_DIR}/patches/clang)
@@ -132,9 +131,6 @@
                   ${LLVM_BASE_REVISION}
                   ${TARGET_BRANCH}
                   ret)
-    if(${ret})
-        add_definitions(-DAPPLIED_LLVM_PATCHES)
-    endif()
     apply_patches(${SPIRV_SOURCE_DIR}
                   ${CMAKE_CURRENT_SOURCE_DIR}/patches/spirv
                   ${SPIRV_BASE_REVISION}
