=== debian/changelog ===
intel-opencl-clang (13.0.0-3) unstable; urgency=medium

  * control: Add Conflicts/Replaces/Provides: libopencl-clang-x.y-dev.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Feb 2022 01:21:52 +0100

intel-opencl-clang (13.0.0-2) unstable; urgency=medium

  * rules: Parse llvm version from Build-Depends.
  * control: Build-depend on libllvmspirvlib-13-dev.
  * control: Provide virtual package libopencl-clang-13-dev.
  * control: Drop Build-Depends: lldb-13, apparently unused.
  * control: Set Architecture: any.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Feb 2022 09:27:23 +0100

intel-opencl-clang (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 11:02:35 +0300

intel-opencl-clang (13.0~git20210929-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build with llvm 13.
  * rules: Set llvm version.
  * control: Drop git from build-depends, not used anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Sep 2021 15:09:59 +0300

intel-opencl-clang (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:57:54 +0300
