=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+
+LLVM_VERSION		 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)
+LLVM_UPSTREAM_VERSION	 = $(shell dpkg-query -f '$${source:Upstream-Version}\n' -W llvm-$(LLVM_VERSION)-dev)
 
 %:
 	dh $@ --builddir build/
@@ -10,10 +13,9 @@
 		-DLLVMSPIRV_INCLUDED_IN_LLVM=OFF \
 		-DSPIRV_TRANSLATOR_DIR=/usr/lib \
 		-DCOMMON_CLANG_LIBRARY_NAME=opencl-clang \
-		-DCMAKE_SKIP_RPATH=true
+		-DCMAKE_SKIP_RPATH=true \
+		-DPREFERRED_LLVM_VERSION=$(LLVM_UPSTREAM_VERSION)
 
-override_dh_missing:
-	dh_missing --fail-missing
 
 gentarball:
 	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
