=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%intel-opencl-clang-$1.tar.gz%" \
   https://github.com/intel/opencl-clang/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
